/*
 * $Id: GeneralFailureException.java,v 1.4 2000/10/04 17:20:16 lblair Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstore.control;

/**
 * This exception is the base class for all the web runtime exceptions.
 */
public class GeneralFailureException extends RuntimeException
    implements java.io.Serializable {

    private Throwable t;

    public GeneralFailureException(String s) {
        super(s);
    }

    public GeneralFailureException(String s, Throwable t) {
        super(s);
        this.t = t;
    }

    public String getThrowable() {
        return ("Received throwable with Message: "+ t.getMessage());
    }
}
