/*
 * $Id: FlowHandler.java,v 1.1 2000/09/21 06:51:37 brydon Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstore.control.web.handlers;

import com.sun.j2ee.blueprints.petstore.control.event.EStoreEvent;
import com.sun.j2ee.blueprints.petstore.control.EStoreEventException;
import javax.servlet.http.HttpServletRequest;

/**
 * This class is the base interface to flow handlers on the
 * web tier.
 *
*/
public interface FlowHandler {

    public void doStart(HttpServletRequest request);
    public String processFlow(HttpServletRequest request) throws EStoreEventException;
    public void doEnd(HttpServletRequest request);

}
