/*
 * $Id: ProfileMgr.java,v 1.7 2000/09/28 18:21:47 lblair Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstore.personalize.profilemgr.ejb;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import com.sun.j2ee.blueprints.petstore.personalize.profilemgr.model.ProfileMgrModel;
import com.sun.j2ee.blueprints.petstore.personalize.util.ExplicitInformation;


/**
 * This interface provides methods to view and modify personalization
 * information for a particular user.
*/

public interface ProfileMgr extends EJBObject {


    /**
     * @return the personalization information corresponding to this user.
     */
    public ProfileMgrModel getDetails() throws RemoteException;

    /**
     * updates the explicit profile information for a user
     */
    public void updateExplicitInformation(ExplicitInformation eInfo)
        throws RemoteException;

}
