/*
 * $Id: ProfileMgrHome.java,v 1.2 2000/09/20 04:34:27 brydon Exp $
 * Copyright 2000, 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000, 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstore.personalize.profilemgr.ejb;

import java.rmi.RemoteException;

import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.DuplicateKeyException;
import javax.ejb.EJBHome;

import com.sun.j2ee.blueprints.petstore.personalize.util.ExplicitInformation;

/**
 * The home interface of the ProfileMgr EJB.
 */

public interface ProfileMgrHome extends EJBHome {

    public ProfileMgr create(String userId, ExplicitInformation eInfo)
        throws RemoteException,DuplicateKeyException,CreateException;

    public ProfileMgr findByPrimaryKey(String userId)
        throws RemoteException, FinderException;
}
